Gentoo

Post your make.conf, tips or anything else.

Install Gentoo

Attached: gentoo.png (400x400, 101K)

Other urls found in this thread:

gd.tuwien.ac.at/opsys/linux/gentoo/
ftp.halifax.rwth-aachen.de/gentoo/
ftp.uni-erlangen.de/pub/mirrors/gentoo
gitlab.com/chaoslab/chaoslab-overlay
github.com/gentoo/linux-patches/blob/master/4567_distro-Gentoo-Kconfig.patch
wiki.gentoo.org/wiki/Portage_TMPDIR_on_tmpfs
wiki.gentoo.org/wiki/SSD
twitter.com/NSFWRedditGif

Uhhh, you know Gentoo is a meme right?

Use libressl, musl, wayland, wterm, sway.
Block potterware in general(pulseaudio, systemd, networkmanager, etc).

# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CHOST="x86_64-pc-linux-gnu"
CFLAGS="-march=sandybridge -O2 -pipe"
CXXFLAGS="${CFLAGS}"
MAKEOPTS="-j2"
CPU_FLAGS_X86="aes avx mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3"


VIDEO_CARDS="intel i965 nouveau"
INPUT_DEVICES="synaptics libinput mouse keyboard"

USE=" dri3 glamor alsa thumbnail udev infinality vaapi vdpau matroska opus v4l x265 gsl tiff opengl threads png nls networkmanager xinerama mtp exif raw svg tiff webp"
L10N="de"
RUBY_TARGETS="ruby23"
#PYTHON_TARGETS="python2_7 python3_7"
#PYTHON_SINGLE_TARGET="python3_6"
# NOTE: This stage was built with the bindist Use flag enabled
PORTDIR="/usr/portage"
DISTDIR="/usr/portage/distfiles"
PKGDIR="/usr/portage/packages"

# This sets the language of build output to English.
# Please keep this setting intact when reporting bugs.
LC_MESSAGES=C

GENTOO_MIRRORS="gd.tuwien.ac.at/opsys/linux/gentoo/ rsync://mirror.eu.oneandone.net/gentoo/ ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo ftp.halifax.rwth-aachen.de/gentoo/ rsync://ftp.halifax.rwth-aachen.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/"

EMERGE_DEFAULT_OPTS="--ask"

I use Gentoo because I'm a speed freak - I can't stand the thought that some of my packages might not be running as fast as they could be

virgin unix philosophy vs chad systemdick

Attached: Screenshot_20190130_030610.png (789x538, 108K)

>few days ago tried to install gentoo
>fucked up partitioning and grub
>gparted showed me no partitions on the disk
Can I just format it in gparted then install it later?

>tips
don't fall for memes?

My jobs has me doing some reverse engineering and I recently made a CFLAGS="-Og -ggdb" build with FEATURES="nostrip installsources" so I could run gdb on things like gcc, ld, objcopy and understand what was going on under the hood. I also tried recompiling the kernel with debug options built into nouveau to figure out why one monitor wasn't working. There a lot more hacking and debugging options in the kernel but I can't be fucked to learn what all those ~3500 options mean and reboot each time to see what happened. I'm thinking of learning kexec for this purpose. Oh and fun fact if you enable USE=multitarget it almost eliminates the need for cross-toolchains if you work with arm/aarch64.

Yes. I always install gentoo from a normal ubuntu live environment and use gparted for partitioning. The live medium that gentoo provides is fucking retarded.

Damn I knew Jow Forums was going to eat some of my code tags.

Explain this shit to me
>install gentoo from a normal ubuntu live environment
What I have I think is a netinstall. Minimal installation CD.
How are you installing this from a live ubuntu dvd?

i gave up trying to config a kernel through tty and just ran genkernel all then installed a de so i could have multiple terminals open

Forgot pic. It's really important.

Attached: cavebob.png (547x352, 137K)

I've been burned multiple times by proceeding with the whole install and world emerge only to have grub fail at install or reboot because I partitioned something incorrectly.

My endgame is having no DE and just Wayland to launch Firefox windows or something. I know about just using startx for using X with no DE but I tried the weston-launch equivalent and it was annoying. It seemed like there were not a whole lot of people trying to do what I was doing.

Gentoo is not a "meme distro".
It's the best and most precious distro you can use.
Once you get used to it, you'll realize using any other distro would be a downgrade.
It's rolling release and manages to be both stable and up to date.
You can install bleeding edge packages on a stable system without it breaking.
You can install any version of any package in the repo and portage will keep your system consistent.
No such thing as "dependency hells".
You can even have multiple versions of some packages side by side.
Top tier documentation and support.
Large and helpful community (you can always get help on IRC if you run into problems).
Overlays (user repos, Gentoo equivalent of AUR).
Ebuilds (package build scripts) easy to read, edit, write and maintain.
Gentoo offers you freedom of choice, power, control, customization and flexibility unlike any other distro.
Most importantly, it just works, it does what you want and doesn't get in the way.

Attached: co_strawberry_milk_girl.gif (540x528, 1.71M)

>Block potterware in general(pulseaudio, systemd, networkmanager, etc).
don't forget dbus, consolekit and policykit

what web browser do you use, i heard firefox doesn't work without pulseaudio

it does on gentoo

I use ungoogled-chromium from the following overlay
gitlab.com/chaoslab/chaoslab-overlay
And yes, Firefox works just fine without pulseaudio.

One way might be to cat /proc/config.gz > .config from the live media and make localmodconfig but it still asks me a lot of questions I don't know the best answer to. Most of them probably don't matter but it still bugs me. I knew I was going to have to read shit but god damn I don't want to read someone's PhD thesis on bus arbitration timer interrupt synchronization debugging hooks to know what these kernel options mean.

>Gentoo is not a "meme distro".
You're a meme distro.

Gentoo installation is basically manually doing things in the terminal of any distro and then rebooting into what you've installed.

1. Partition a storage device, format it, mount it, cd into it.
2. Download and unpack a stage archive, which is basically an pre-made file system.
3. Chroot into it and update it, configure it, install a kernel, bootloader, etc.

All of these are independent of the Gentoo live media and could be done from any running Linux system. You could actually copy over a Ubuntu or Arch kernel but it would probably be compatible with systemd instead of portage/openrc.

github.com/gentoo/linux-patches/blob/master/4567_distro-Gentoo-Kconfig.patch

That seems easy enough. Fuck the gentoo live cd

I actually just got my install working after 3 tries, feels good. Going to get to work on actually setting it up tomorrow, going to look more into what use flags to use to avoid bloat and stuff.

I find it philosophically appealing, but also too much work to run as my everyday distro.

i only just started using it, but it only seems like a lot of work to get setup but not much to maintain

>No such thing as "dependency hells".
Unless you haven't done an emerge @world in a long time and packages in your portage tree have long been removed

>Overlays (user repos, Gentoo equivalent of AUR).

built into the main package manager as well

>MAKEOPTS="-j2
geez are you some kind of poorfag? Even my x220 has 4 threads.

Don't want to melt my W520

ew crashingD

>you can always get help on irc if you have problems
doubt

Here's my make.conf
I use portage squashfs snapshot as PORTDIR. It's much faster to just download the updated image and remount it than doing a sync using rsync. I also made a simple script for this task.

#!/usr/bin/env bash
SNAPSHOT_URL="distfiles.gentoo.org/snapshots/squashfs/gentoo-current.xz.sqfs"
DOWNLOAD_CMD="axel -an 16"
DEST_FILE="/usr/portage.xz.sqfs"
MOUNT_PATH="/usr/portage"

die() {
echo "$@" >&2
exit 1
}

[[ $EUID -eq 0 ]] || die "This script must be run as root"

echo "Downloading $SNAPSHOT_URL"
$DOWNLOAD_BIN "$SNAPSHOT_URL" -o "$DEST_FILE"".NEW" &> /dev/null \
|| die "Failed to download file"

if [[ -f "$DEST_FILE" ]]; then
echo "Backing up $DEST_FILE"
mv "$DEST_FILE" "$DEST_FILE"".OLD" || die "Filed to move file"
fi

mv "$DEST_FILE"".NEW" "$DEST_FILE" || die "Filed to move file"

echo "Remounting $MOUNT_PATH"
if mount | grep "$MOUNT_PATH" > /dev/null; then
umount "$MOUNT_PATH" || die "Failed to unmount $MOUNT_PATH"
fi
mount "$MOUNT_PATH" || die "Failed to mount $MOUNT_PATH"

if [[ -f "$DEST_FILE"".OLD" ]]; then
echo "Cleaning up"
rm "$DEST_FILE"".OLD"
fi

echo "Done"


Also I would suggest all the new Gentoo users to set ACCEPT_LICENSE="-* @FREE" in make.conf, I remember having some non-free packages installed without realizing it.

Some handy aliases for emerge and rc-service command:
alias sc="doas rc-service"
alias e="doas emerge"
alias es="doas emerge --sync"
alias ee="doas emerge -uDU @world"
alias eu="doas emerge --unmerge"
alias ec="doas emerge --depclean && doas eclean-dist -d"


You can use apulse to emulate pulseaudio functionality, it works with firefox

I always use SystemRescueCD, which is also based on Gentoo.

Attached: make.conf.png (1054x661, 138K)

>ACCEPT_LICENSE="-* @FREE"
This kills the nvidia owner

Make the portage work dir a RAM file system. Mine's only so high because fuck it I'm not using RAM for anything else anyway.
tmpfs /var/tmp/portage tmpfs size=24G,noatime,uid=portage,gid=portage,mode=775 0 0

Ramlets consider the guide:
wiki.gentoo.org/wiki/Portage_TMPDIR_on_tmpfs

If you have an SSD add noatime,discard to your mount options in your fstab.
wiki.gentoo.org/wiki/SSD

I had to make an exception for gentoo-sources though as Linux it self is not fully free and contains blobs.

how do I check what packages depend on a certain package in gentoo? for some reason I must've installed a package that uses systemd and pulseaudio at some point, I want to know if I can just remove them and change my make.conf to block them

Can anyone recommend a guide for a MAXIMAL gentoo setup?
I'm tired of everyone's obsession with minimal installs. My computer isn't a piece of trash P2 with 64mb of ram. I'm ok with having a lot of packages I'm not actively using so that I don't have to bother setting them up when I need them.

Start with a lego set, bud.

>nano

This can be avoided on Funtoo relatively easily, it uses Debian's kernel (which is included in the stage3) and has that available. Debian keeps nonfree blobs out of the main distribution by default.

*GNU nano